# TdApi.StorageStatisticsByFileType (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StorageStatisticsByFileType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StorageStatisticsByFileType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorageStatisticsByFileType

Enclosing class:
  TdApi

public static final class TdApi.StorageStatisticsByFileType extends TdApi.Object
Contains the storage usage statistics for a specific file type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`count`
Total number of files.
`TdApi.FileType`
`fileType`
File type.
`long`
`size`
Total size of the files, in bytes.

## Constructor Summary

Constructors
Constructor
Description
`StorageStatisticsByFileType()`
Contains the storage usage statistics for a specific file type.
`StorageStatisticsByFileType(TdApi.FileType fileType, long size, int count)`
Contains the storage usage statistics for a specific file type.
`StorageStatisticsByFileType(DataInput input)`
Contains the storage usage statistics for a specific file type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileType

public TdApi.FileType fileType
File type.

### size

public long size
Total size of the files, in bytes.

### count

public int count
Total number of files.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StorageStatisticsByFileType

public StorageStatisticsByFileType()
Contains the storage usage statistics for a specific file type.

### StorageStatisticsByFileType

public StorageStatisticsByFileType(TdApi.FileType fileType, long size, int count)
Contains the storage usage statistics for a specific file type.

Parameters:
  `fileType` - File type.
  `size` - Total size of the files, in bytes.
  `count` - Total number of files.

### StorageStatisticsByFileType

public StorageStatisticsByFileType(DataInput input) throws IOException
Contains the storage usage statistics for a specific file type.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`